
bool isWasmNumericType(::mlir::Type type) {
return ((((type.isSignlessInteger(32))) || ((type.isSignlessInteger(64)))) || (((type.isF32())) || ((type.isF64()))));
}

bool isWasmRefType(::mlir::Type type) {
return (((::llvm::isa<::mlir::wasmssa::FuncRefType>(type))) || ((::llvm::isa<::mlir::wasmssa::ExternRefType>(type))));
}

bool isWasmValueType(::mlir::Type type) {
return (((((type.isSignlessInteger(32))) || ((type.isSignlessInteger(64)))) || (((type.isF32())) || ((type.isF64())))) || ((type.isSignlessInteger(128))) || (((::llvm::isa<::mlir::wasmssa::FuncRefType>(type))) || ((::llvm::isa<::mlir::wasmssa::ExternRefType>(type)))));
}
